Package: org.codehaus.groovy.control

## [Java] Class ParserPluginFactory

- org.codehaus.groovy.control.ParserPluginFactory

- A factory of parser plugin instances

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ParserPlugin` | `createParserPlugin()`
    `` | `static ParserPluginFactory` | `newInstance(boolean useNewParser)` Creates a new instance of ParserPluginFactory.
    `` | `static ParserPluginFactory` | `newInstance()` Creates a new instance of ParserPluginFactory.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public ParserPlugin createParserPlugin()

    - #### @Deprecated public static ParserPluginFactory newInstance(boolean useNewParser)

      Creates a new instance of ParserPluginFactory.

      The `useNewParser` parameter is not used, and this method is kept for backward compatibility.

      deprecated:
        use newInstance()
      Parameters:
        `useNewParser` - unused.
      Returns:
        the new parser factory.

    - #### public static ParserPluginFactory newInstance()

      Creates a new instance of ParserPluginFactory.

      Returns:
        the new parser factory.